Providers
Verify a provider connection
POST /v1/connections/{id}/verify · SDK requestConnectionVerification · CLI deployments connection verify
POST
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
id*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$idempotency-key*stringLength
1 <= length <= 512application/json- body
idempotencyKey?stringConnectionVerificationResponse
application/json- response
completedAt?stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeconnectionId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$createdAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeerror?id*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$providerKey*stringMatch
^[a-z0-9](?:[a-z0-9._-]{0,126}[a-z0-9])?$result?status*stringupdatedAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeversion*integerRange
0 <= valuecurl -X POST "https://example.com/v1/connections/string/verify" \ -H "x-deployments-environment: string" \ -H "idempotency-key: string" \ -H "Content-Type: application/json" \ -d '{}'{ "completedAt": "2019-08-24T14:15:22Z", "connectionId": "string", "createdAt": "2019-08-24T14:15:22Z", "error": { "property1": null, "property2": null }, "id": "string", "providerKey": "string", "result": { "property1": null, "property2": null }, "status": "string", "updatedAt": "2019-08-24T14:15:22Z", "version": 0}